Bug 453993 - Package should not contains static libraries
Package should not contains static libraries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: inn (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-03 14:12 EDT by Jochen Schmitt
Modified: 2008-07-10 12:35 EDT (History)
0 users

See Also:
Fixed In Version: inn-2.4.5-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-10 12:35:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2008-07-03 14:12:51 EDT
Because the packaging policy of the Fedora project state, that thre should not
be static libraries in a package, I have try to create a inn package which
fullfill this requirement.

I have uploaded the stuf on

http://www.herr-schmitt.de/pub/inn/inn.spec
http://www.herr-schmitt.de/pub/inn/inn-2.5.6-0.fc10.src.rpm
Comment 1 Ondrej Vasik 2008-07-04 06:28:52 EDT
Thanks for report and fix, seems ok, I have only one thing to discuss - those
ifarch section in your spec file... As Fedora's inn should support i386, ppc,
ppc64, x86_64 (and now possible secondary archs), I'm not sure if the fix is
complete - as you have ifarch x86_64 echo for x86_64.conf else  echo for i386
... so for ppc/ppc64 it will report inn-i386.conf . Is this correct or the
ifarch should be extended somehow? Please consider possible support of inn with
ia64 or sha arch and let me know if current solution is enough, thanks in
advance... I'll push the changes to Rawhide once I'll get confirmation that the
behaviour is intentional.
Comment 2 Jochen Schmitt 2008-07-07 12:35:28 EDT
Thank you for your quick response. I have take a look on the qt package and I
have changed the inn package in the simular way, so that a inn-%{_arch}.conf
file may be created in the /etc/ld.so.conf.d/ directory.

As a second change, I have rewrite the file list in a way, so the /usr/lib/news
and %{_libdir}/news should be owned be the inn package.


I have uploaded the stuf on

http://www.herr-schmitt.de/pub/inn/inn.spec
http://www.herr-schmitt.de/pub/inn/inn-2.5.6-3.fc10.src.rpm
Comment 3 Ondrej Vasik 2008-07-08 09:09:46 EDT
Hi, thanks again for changes, 
just about that part at inn.spec:191...
%ifarch x86_64
rm -rf $RPM_BUILD_ROOT%{_libdir}/news/lib/*.a
mkdir -p $RPM_BUILD_ROOT%{_libdir}/news/lib
mv $RPM_BUILD_ROOT/usr/lib/news/lib/*.so* $RPM_BUILD_ROOT%{_libdir}/news/lib
%endif
is imho redundant as you have 
#Shift libs to the right place
if [ "/usr/lib" != "%{_libdir}" ]; then
    mkdir -p $RPM_BUILD_ROOT%{_libdir}/news/lib
    mv $RPM_BUILD_ROOT/usr/lib/news/lib/*.a $RPM_BUILD_ROOT%{_libdir}/news/lib
fi
after make install at inn.spec:132

Additionally I would prefer to use
rm -rf $RPM_BUILD_ROOT/%{_libdir}/news/lib/*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/news/lib/*.a
instead of 
rm -rf $RPM_BUILD_ROOT/usr/lib/news/lib/*.la
rm -rf $RPM_BUILD_ROOT/usr/lib/news/lib/*.a
at inn.spec:188

Do you agree with those changes(removal ifarch x86_64 section and change in the
rm -rf)?
Comment 4 Jochen Schmitt 2008-07-08 11:38:56 EDT
Becouse, we don't want static libraries, we should delete the first block about
we are talking now from the SPEC file.

the second block should not be changed, becouse it'a a diffence, if you say
/usr/lib or %{_libdir} and the dynamic libraries are in %{_libdir} to be
multiarch compilant.

I have uploaded the stuf on

http://www.herr-schmitt.de/pub/inn/inn.spec
http://www.herr-schmitt.de/pub/inn/inn-2.5.6-4.fc10.src.rpm

 
Comment 5 Ondrej Vasik 2008-07-10 12:35:32 EDT
Ok, built with few corrections as inn-2.4.5-2.fc10. Closing RAWHIDE. Thanks for
working on that.

Note You need to log in before you can comment on or make changes to this bug.